%global git_hash 83b610b

Name:       nodejs-lru-cache
Version:    1.0.4
Release:    1%{?dist}
Summary:    A cache object that deletes the least recently used items
License:    MIT
URL:        https://github.com/isaacs/node-lru-cache
# download from https://github.com/isaacs/node-lru-cache/tarball/%%{version}
Source0:    isaacs-node-lru-cache-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
%{summary}.

%prep
%setup -q -n isaacs-node-lru-cache-29d9cfa

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p lib/lru-cache.js %{buildroot}%{nodejs_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/lru-cache.js
%doc README.md LICENSE

%changelog
* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-1
- initial package
